Using JAXP 1.3; even in older JVMs!